
#ifndef _H_SOCKET
#define _H_SOCKET

#include <unistd.h>
#include <sys/socket.h>
#include <sys/un.h>

typedef enum sock_msg_t{
    SM_NONE   = 0,
    SM_RELOAD = 1,
} sock_msg_t;

int socket_init(void);
sock_msg_t socket_poll(void);
void socket_close(void);
void socket_send(char*);

#endif
